import request from '@/utils/request'

export function selfDetail(id) {
    return request({
        url: '/knowledge/system/testPaperAnswerSheet/selfDetail',
        method: 'get',
        params: {
            testPaperInfoId: id
        }
    })
}
export function canExam(id) {
    return request({
        url: '/knowledge/system/testPaperAnswerSheet/canExam',
        method: 'get',
        params: {
            testPaperInfoId: id
        }
    })
}
export function answerUpdate(data) {
    return request({
        url: '/knowledge/system/testPaperAnswerSheet/update',
        method: 'post',
        data
    })
}

export function answerFindOne(id) {
    return request({
        url: '/knowledge/system/testPaperAnswerSheet/findOne?id=' + id,
        method: 'get',
    })
}

export function answerList(params) {
    return request({
        url: '/knowledge/system/testPaperAnswerSheet/findList',
        method: 'get',
        params
    })
}

export function paperDetail(id) {
    return request({
        url: '/knowledge/system/testPaperAnswerSheet/paperDetail?id=' + id,
        method: 'get'
    })
}

export function retake(id) {
    return request({
        url: '/knowledge/system/testPaperAnswerSheet/retake?id=' + id,
        method: 'get'
    })
}

export function redressApi(id) {
    return request({
        url: '/knowledge/system/testPaperAnswerSheet/redress?id=' + id,
        method: 'get'
    })
}



